Package sop.operation

# Interface InlineDetach

public interface InlineDetach
Split cleartext signed messages up into data and signatures.

## Method Summary

Modifier and Type
Method
Description
`default ReadyWithResult<Signatures>`
`message(byte[] message)`
Detach the provided cleartext signed message from its signatures.
`ReadyWithResult<Signatures>`
`message(InputStream messageInputStream)`
Detach the provided signed message from its signatures.
`InlineDetach`
`noArmor()`
Do not wrap the signatures in ASCII armor.

## Method Details

### noArmor

InlineDetach noArmor()
Do not wrap the signatures in ASCII armor.

Returns:
  builder

### message

ReadyWithResult<Signatures> message(InputStream messageInputStream) throws IOException, SOPGPException.BadData
Detach the provided signed message from its signatures.

Parameters:
  `messageInputStream` - input stream containing the signed message
Returns:
  result containing the detached message
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.BadData` - if the input stream does not contain a signed message

### message

default ReadyWithResult<Signatures> message(byte[] message) throws IOException, SOPGPException.BadData
Detach the provided cleartext signed message from its signatures.

Parameters:
  `message` - byte array containing the signed message
Returns:
  result containing the detached message
Throws:
  `IOException` - in case of an IO error
  `SOPGPException.BadData` - if the byte array does not contain a signed message